Bug 112167 - bin/agent fails on HPUX 11.11 (11i)
bin/agent fails on HPUX 11.11 (11i)
Status: CLOSED ERRATA
Product: Stronghold Cross Platform
Classification: Retired
Component: update-agent (Show other bugs)
4.0
sh4 Linux
medium Severity medium
: ---
: ---
Assigned To: Gary Benson
Stronghold Engineering List
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-12-15 12:08 EST by Jason Williams
Modified: 2007-04-18 13:00 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-07 10:52:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jason Williams 2003-12-15 12:08:36 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.4.1)
Gecko/20020314 Netscape6/6.2.2

Description of problem:
I'm running Stronghold 4 and was attmepting to update my packages via
bin/agent to addess advisory RHSA-2003:290-08 from 2003-10-03.  
Bin agent downloads the package files okay, but when it gets to the
Install, here is the message I get:

******************************************************
Installing packages:
   (preparing...)           ###########################################
[100%]

The following problems prevented package installation:
package stronghold-apache-1.3.22-17 is for a different operating     
             system
  package stronghold-apache-devel-1.3.22-17 is for a different
operating system
package stronghold-apache-src-1.3.22-17 is for a different operating
system
  package stronghold-openssl-devel-0.9.6c-10 is for a different
operatingsystem
  package stronghold-openssl-0.9.6c-10 is for a different operating system
  package stronghold-shcore-4.0-10 is for a different operating system
  package stronghold-newt-perl-1.08-4 is for a different operating system
  package stronghold-mod_authz_ldap-0.19-6 is for a different
operating system
  package stronghold-apache-manual-1.3.22-17 is for a different
operating system

Please rectify the above errors and try again.

***************************************************

I notice that the files downloaded into stronghold/var/ua/spool and
stronghold/var/ua/cache have "hppa11-hp-hpux1100" as part of the file
extension. I'm assuming that the problem is that my OS is HPUX 11.11
and the files are for HPUX 11.0?

Thanks 

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Run bin/agent
2.
3.
    

Actual Results:  I receive the errors in the description above.

Expected Results:  Stronghold should have been updated

Additional info:
Comment 1 Joe Orton 2003-12-15 12:32:52 EST
Hello, thanks for reporting this issue.  So that we can investigate
the problem further, can you run the following command from the
Stronghold 4 installation root:

   bin/rpm --showrc > /tmp/rpm.rc

and then attach the file "rpm.rc" to this bug report?

To work around the problem, you can create a file
conf/update-agent.conf in the install root, with the contents:

[agent]
ignore: RPMPROB_FILTER_IGNOREOS

After creating that file, running "bin/agent" should update to the
latest available packages successfully.  Please let us know if you
have further problems.
Comment 2 Mark J. Cox (Product Security) 2004-01-13 06:55:10 EST
Jason, did this solve your problem?
Comment 3 Jason Williams 2004-01-13 09:17:44 EST
Yes, thank you.  The workaround seemed to fix things.  Sorry for not
responding sooner.  

Thanks again for your help,

Jason
Comment 4 Joe Orton 2004-04-07 10:52:44 EDT
This issue should be fixed in the Stronghold 4.0h update.  Thanks for
the report.

Note You need to log in before you can comment on or make changes to this bug.